import { hash, path } from '@vuepress/utils';
import { mdPluginVuePreview } from './md-plugin-vue-preview/index.js';
import { prepareConfigFile } from './utils/prepareConfigFile.js';
import { PLUGIN_NAME } from './utils.js';
export const vuePreviewPlugin = (options) => (app) => {
    const { rootPath } = options;
    const stateOptions = {
        componentsDir: rootPath,
        componentsPatterns: ['**/*.vue'],
        getComponentName: (filename) => path.trimExt(filename.replace(/\/|\\/g, '-')),
    };
    const optionsHash = hash(stateOptions);
    const pluginObj = {
        name: PLUGIN_NAME,
        extendsMarkdown(md) {
            md.use(mdPluginVuePreview, { rootPath });
        },
        clientConfigFile: (app) => prepareConfigFile(app, stateOptions, optionsHash),
    };
    return pluginObj;
};
